Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 3772 - Several kickstart problems
Summary: Several kickstart problems
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: installer
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matt Wilson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-06-28 07:17 UTC by jalar
Modified: 2008-05-01 15:37 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-10 21:11:02 UTC


Attachments (Terms of Use)

Description jalar 1999-06-28 07:17:15 UTC
1) My partition table was damaged during my first try.
   Apparently 'zerombr no' is to blame for this. The
   install goes through without it (after I had manually
   fixed the partition table, of course)

2) 'device ethernet ne --opts "io=0x220, irq=9"' results
   in autoprobing (?) for a ne card at 0x300 and
failing. 	   Then manual configuration kicks in (which is
good,
   because the ks install then continues)

3) 'mouse whatever' doesnt work until I give
   '--device ttyS0' (does cua0 even exist?). This also
   kicks you out of the ks install.

4) 'xconfig' leaves the machine at blank screen. Pressing
   alt-F1 returns you to the install

5) 'rootpw --iscrypted xxxx' reencrypts the password. I
   thought this was fixed?

6) Perhaps add to the H.3.22 section of the install manual
   (%post section in a ks install) that

	'If you intend to do anything useful, note that
	the root-filesystem-to-be (/ of the install) is
	located at /mnt, for example use

	    rpm -i --root=/mnt xxxxxxxx'

Comment 1 jalar 1999-06-28 07:20:59 UTC
Oh, and I _am_ using the 29-May-1999 images.

Comment 2 Jay Turner 1999-06-28 12:15:59 UTC
This issue has been forwarded to a developer for further action.

Comment 3 bdraco 1999-07-03 23:57:59 UTC
setting the mouse to none in the ks.cfg also produces the same
results.

Comment 4 patrick 1999-07-06 18:44:59 UTC
I've run into this and ended up having to have a mouse connected to
the machine during install (a pain in the ass because I do multiple
simultaneous installs).  I've been looking through the RH5.2
Installation manual, and it says to use something like:

mouse --kickstart genericps/2

I have yet to try it with the --kickstart option though.

Comment 5 Bill Nottingham 1999-07-15 17:51:59 UTC
rootpw --iscrypted requires replacing the install2 binary
on the install image. You can either force a supplementary
disc, or copy the install2 binary on the errata supp.img
(or in the Raw Hide install image, IIRC) to the install image.

Comment 6 panu.matilainen 1999-08-31 14:00:59 UTC
The --iscrypted thingy can also be worked around in the post-section:
-----
%post
ROOTPW='encrypted-passwd-here'
sed 's&root:[^:]*:&root:'$ROOTPW':&' < /etc/shadow > /tmp/shadow
mv /tmp/shadow /etc/shadow
chmod 0400 /etc/shadow

Comment 7 Jay Turner 2000-02-10 21:10:59 UTC
These issues are resolved in the latest installer available in beta.


Note You need to log in before you can comment on or make changes to this bug.